ICAT(1)

NAME
icat - copy files by inode number

SYNOPSIS
icat [-hrsvV] [-f fstype] device inode ...

DESCRIPTION
icat opens the named device and copies the files with the specified inode numbers to standard output. Arguments:

-f fstype
    Specifies the file system type. Use the -? argument to view all supported types. If not given, the default type for the platform is used.

-h  Skip over holes in sparse files, so that absolute address information is lost. This option saves space when copying sparse files.

-r  Use file recovery techniques if the file is deleted.

-s  Include the slack space in the output.

-v  Enable verbose mode, output to stderr.

-V  Display version

image
    File system image or local partition device.

inode
    Inode number. icat concatenates the contents of all specified files.

LICENSE
This software is distributed under the IBM Public License.

HISTORY
First appeared in The Coroners Toolkit (TCT) 1.0 and is now in The Sleuth Kit.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA
This version is maintained by Brian Carrier (carrier@sleuthkit.org).